var isObject = require('./index96.js');
var isArray = require('./index78.js');
var extend = require('./index56.js');

// Create a (shallow-cloned) duplicate of an object.
function clone(obj) {
  if (!isObject(obj)) return obj;
  return isArray(obj) ? obj.slice() : extend({}, obj);
}

module.exports = clone;
